# m3e/dialog_action

DialogAction is an element, nested within a clickable element, used to close a parenting dialog.

This file was generated: By: m3e/generator version 0.1.0 At: 2026-05-05T14:38:23+10:00

         DO NOT EDIT

# Types

## DialogAction

opaque </>

DialogAction is a View Model for this component

## Fields:

- return_value: The value to return from the dialog.

    pub opaque type DialogAction

# Values

## default_return_value

</>

    pub const default_return_value: String

## new

</>

    pub fn new(return_value: String) -> DialogAction

new creates a new DialogAction with the default configuration.

## render

</>

    pub fn render(
      model: DialogAction,
      attributes: List(attribute.Attribute(msg)),
      children: List(element.Element(msg)),
    ) -> element.Element(msg)

render creates a Lustre Element for a DialogAction

## return_value

</>

    pub fn return_value(
      arg: DialogAction,
      return_value: String,
    ) -> DialogAction

return_value sets the value of return_value for this DialogAction.

✨